<template>
  <tr>
    <td>{{department}}</td>
    <td><v-btn
        size="small"
        class="me-1"
        color="red-accent-4"
        @click="deleteDepartment"
    ><v-icon small>mdi-delete</v-icon></v-btn>
    <edit-department-dialog :department="department"></edit-department-dialog></td>
  </tr>


  <!--  DIALOG-->
  <v-dialog v-model="dialog">
    <v-card class="align-center">
      <v-card-title>
        Löschen
      </v-card-title>
      <v-card-text>
        Bist du sicher, dass du Abteilung {{props.department}} löschen willst??
      </v-card-text>
      <v-card-actions>
        <v-btn color="green-darken-3" text @click="confirmDelete">Ja</v-btn>
        <v-btn color="red-accent-4" text @click="dialog = false">Abbrechen</v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script setup>

import {useDepartmentStore} from "@/stores/departmentStore";
import {ref} from "vue";
import EditDepartmentDialog from "@/components/dialogs/EditDepartmentDialog.vue";

//STORE
const departmentStore = useDepartmentStore();

//PROPS
const props = defineProps(['department'])

//VARIABLES
const editDepartment = ref(false);
let dialog = ref(false);

//FUNCTION
async function deleteDepartment() {
  dialog.value = true;
}
async function confirmDelete() {
  try {
    await departmentStore.deleteDepartment(props.department);
    await departmentStore.getDepartments();
  } catch (error) {
    alert("Du kannst die Abteilung nicht löschen, weil noch Mitarbeiter in der Abteilung arbeiten.");
    console.log(error)
  }
}
</script>

<style scoped>
</style>